Bug 71309 - upgrading gdm removes gdm.conf
upgrading gdm removes gdm.conf
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gdm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-12 05:53 EDT by Kjetil T. Homme
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 21:56:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjetil T. Homme 2002-08-12 05:53:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020808

Description of problem:
the new configuration file has higher priority than local changes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. upgrade gdm


Actual Results:  gdm.conf is now gdm.conf.rpmsave, so the X terminals have
stopped working, the look on people desktops is now not the company look, etc.


Expected Results:  the package should install the new gdm.conf as .rpmnew.


Additional info:

gdm-2.4.0.7-1

(this has annoyed me a long time, though, especially due to bug 71308  ;-)
Comment 1 Elliot Lee 2002-08-26 14:10:31 EDT
added noreplace
Comment 2 Havoc Pennington 2002-08-28 19:05:23 EDT
OK, this isn't working; we've already had two gdm bugfixes in the last
48 hours where users are left with a broken gdm if their 
gdm.conf wasn't replaced. And there are theoretically security fixes 
that could involve gdm.conf.

noreplace and replace policies are both broken, but in practice here replace is
going to mean fewer people with hosed systems. At least we know the default 
config file will always work, and we need to be able to get changes to 
people with package upgrades.

Reopening to remember to revert this change.
Comment 3 Kjetil T. Homme 2002-08-28 19:11:25 EDT
hmm.  won't the conffile be replaced if it has been left untouched by the user,
even with a "noreplace"?  if not, I guess I should file a bug against RPM :)
Comment 4 Havoc Pennington 2002-08-28 20:49:42 EDT
Sure, but anyone who's ever run gdmsetup and experimented with settings will
have touched it, right?

Comment 5 Preston Brown 2002-08-28 21:39:33 EDT
so is this really a blocking bug?
Comment 6 Havoc Pennington 2002-08-28 21:56:22 EDT
Changed back in 2.4.0.7-9
Comment 7 Jay Turner 2002-08-30 21:37:20 EDT
Fix confirmed with gdm-2.4.0.7-9.

Note You need to log in before you can comment on or make changes to this bug.